package ai.pai.lensman.printer;

import android.bluetooth.BluetoothDevice;

import java.util.List;

/**
 * Created by chengzhenyu on 2016/9/1.
 */

public class PrinterSettingContract {

    public interface Presenter{
        void start();
        void stop();
        void queryPrinterStatus();
        void printQR(String qrCodeStr);
        boolean queryBluetoothStatus();
        List<BluetoothDevice> queryPairedDevices();
        void discoverNewDevices();
        void connectPrinter(BluetoothDevice device);
        void cancelDiscovery();
    }

    public interface View{
        void onBluetoothEnabled();
        void onBluetoothDisabled();
        void onPrinterStatusFetched(String status);
        void onNewDeviceDiscovered(BluetoothDevice device);
        void onPairedDeviceDiscovered(List<BluetoothDevice> devices);
        void showToast(String msg);
    }
}
